version: 1.0
artifacts:
  -
    description: Get the list of virtual machines on the host.
    supported_os: [esxi]
    collector: command
    command: vim-cmd vmsvc/getallvms
    output_file: vim-cmd_vmsvc_getallvms.txt
  -
    description: Retrieves and displays the listsummary status from the vm.
    supported_os: [esxi]
    collector: command
    foreach: vim-cmd vmsvc/getallvms | tail -1 | awk '{print $1}'
    command: vim-cmd vmsvc/get.summary %line%
    output_file: vim-cmd_vmsvc_get.summary_%line%.txt
  -
    description: Retrieves and displays the configuration object for the vm.
    supported_os: [esxi]
    collector: command
    foreach: vim-cmd vmsvc/getallvms | tail -1 | awk '{print $1}'
    command: vim-cmd vmsvc/get.config %line%
    output_file: vim-cmd_vmsvc_get.config_%line%.txt
  -
    description: Retrieves and displays the virtual devices for the vm.
    supported_os: [esxi]
    collector: command
    foreach: vim-cmd vmsvc/getallvms | tail -1 | awk '{print $1}'
    command: vim-cmd vmsvc/device.getdevices %line%
    output_file: vim-cmd_vmsvc_device.getdevices_%line%.txt
  -
    description: Show the list of datastores for all virtual machines.
    supported_os: [esxi]
    collector: command
    foreach: vim-cmd vmsvc/getallvms | tail -1 | awk '{print $1}'
    command: vim-cmd vmsvc/get.datastores %line%
    output_file: vim-cmd_vmsvc_get.datastores_%line%.txt
  -
    description: Show the list of networks for all virtual machines.
    supported_os: [esxi]
    collector: command
    foreach: vim-cmd vmsvc/getallvms | tail -1 | awk '{print $1}'
    command: vim-cmd vmsvc/get.networks %line%
    output_file: vim-cmd_vmsvc_get.networks_%line%.txt
 